/*
  XMPlay MSN Plugin (c) 2005 Elliott Sales de Andrade

Copyright (c) 2005 Elliott Sales de Andrade

This software is provided 'as-is', without any express or implied warranty.
In no event will the authors be held liable for any damages arising from the
use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it freely,
subject to the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
       claim that you wrote the original software. If you use this software
       in a product, an acknowledgment in the product documentation would be
       appreciated but is not required.

    2. Altered source versions must be plainly marked as such, and must not
       be misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.

*/

#ifdef __cplusplus
extern "C" {
#endif

static LRESULT WINAPI WindowProc(HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam);
static BOOL CALLBACK DSPDialogProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);

static void WINAPI DSP_About(HWND win);
static void *WINAPI DSP_New(void);
static void WINAPI DSP_Free(void *inst);
static char *WINAPI DSP_GetDescription(void *inst);
static void WINAPI DSP_Config(void *inst, HWND win);
static DWORD WINAPI DSP_GetConfig(void *inst, void *config);
static BOOL WINAPI DSP_SetConfig(void *inst, void *config);
static void WINAPI DSP_NewTrack(void *inst, char *file) {};
static void WINAPI DSP_SetFormat(void *inst, DWORD rate, DWORD chans) {};
static void WINAPI DSP_Reset(void *inst) {};
static DWORD WINAPI DSP_Process(void *inst, float *srce, DWORD count) {return count;};

#define heapAlloc(x) HeapAlloc(GetProcessHeap(), 0, x)
#define heapFree(x) HeapFree(GetProcessHeap(), 0, x)

int main(void) {}
#ifdef __cplusplus
}
#endif
